Skip to content
Docs

Chutes API Reference

This section covers all endpoints related to chutes.

Share Chute

Share a chute with another user.

POST/chutes/share
API
Code Examples
curl -X POST "https://api.chutes.ai/chutes/share"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
chute_id_or_namestringYes
user_id_or_namestringYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Unshare Chute

Unshare a chute with another user.

POST/chutes/unshare
API
Code Examples
curl -X POST "https://api.chutes.ai/chutes/unshare"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
chute_id_or_namestringYes
user_id_or_namestringYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


List Boosted Chutes

Get a list of chutes that have a boost.

GET/chutes/boosted
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/boosted"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

List Available Affine Chutes

Get a list of affine chutes where the creator/user has a non-zero balance.

GET/chutes/affine_available
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/affine_available"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

List Chutes

List (and optionally filter/paginate) chutes.

GET/chutes/
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
include_publicboolean | nullNo
templatestring | nullNo
namestring | nullNo
excludestring | nullNo
imagestring | nullNo
slugstring | nullNo
pageintegerNo
limitintegerNo
offsetintegerNo
include_schemasboolean | nullNo
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Deploy Chute

Standard deploy from the CDK.

POST/chutes/
API
Code Examples
curl -X POST "https://api.chutes.ai/chutes/"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
accept_feeboolean | nullNo
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
namestringYes
taglinestring | nullNo
readmestring | nullNo
tool_descriptionstring | nullNo
logo_idstring | nullNo
imagestringYes
publicbooleanYes
codestringYes
filenamestringYes
ref_strstringYes
standard_templatestring | nullNo
node_selectorNodeSelectorYes
cordsCord | nullNo
jobsJob | nullNo
concurrencyinteger | nullNo
revisionstring | nullNo
max_instancesinteger | nullNo
scaling_thresholdnumber | nullNo
shutdown_after_secondsinteger | nullNo
allow_external_egressboolean | nullNo
encrypted_fsboolean | nullNo
teeboolean | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


List Rolling Updates

GET/chutes/rolling_updates
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/rolling_updates"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Get Gpu Count History

GET/chutes/gpu_count_history
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/gpu_count_history"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Get Chute Miner Mean Index

GET/chutes/miner_means
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/miner_means"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Get Chute Miner Means

Load a chute's mean TPS and output token count by miner ID.

GET/chutes/miner_means/{chute_id}.{ext}
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/miner_means/{chute_id}.{ext}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
extstring | nullYes

Responses

Status CodeDescription
200Successful Response
422Validation Error

Get Chute Miner Means

Load a chute's mean TPS and output token count by miner ID.

GET/chutes/miner_means/{chute_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/miner_means/{chute_id}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
extstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Get Chute Code

Load a chute's code by ID or name.

GET/chutes/code/{chute_id}
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/code/{chute_id}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Warm Up Chute

Warm up a chute.

GET/chutes/warmup/{chute_id_or_name}
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/warmup/{chute_id_or_name}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_id_or_namestringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Get Chute Utilization

Get chute utilization data from the most recent capacity log.

GET/chutes/utilization
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/utilization"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Get Chute

Load a chute by ID or name.

GET/chutes/{chute_id_or_name}
API
Code Examples
curl -X GET "https://api.chutes.ai/chutes/{chute_id_or_name}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_id_or_namestringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Update Common Attributes

Update readme, tagline, etc. (but not code, image, etc.).

PUT/chutes/{chute_id_or_name}
API
Code Examples
curl -X PUT "https://api.chutes.ai/chutes/{chute_id_or_name}"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_id_or_namestringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
taglinestring | nullNo
readmestring | nullNo
tool_descriptionstring | nullNo
logo_idstring | nullNo
max_instancesinteger | nullNo
scaling_thresholdnumber | nullNo
shutdown_after_secondsinteger | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Delete Chute

Delete a chute by ID.

DELETE/chutes/{chute_id}
API
Code Examples
curl -X DELETE "https://api.chutes.ai/chutes/{chute_id}"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Easy Deploy Vllm Chute

Easy/templated vLLM deployment.

POST/chutes/vllm
API
Code Examples
curl -X POST "https://api.chutes.ai/chutes/vllm"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
modelstringYes
logo_idstring | nullNo
taglinestring | nullNo
tool_descriptionstring | nullNo
readmestring | nullNo
publicboolean | nullNo
node_selectorNodeSelector | nullNo
engine_argsVLLMEngineArgs | nullNo
revisionstring | nullNo
concurrencyinteger | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Easy Deploy Diffusion Chute

Easy/templated diffusion deployment.

POST/chutes/diffusion
API
Code Examples
curl -X POST "https://api.chutes.ai/chutes/diffusion"
  -H "Content-Type: application/json"
  -d '{}'
Request Configuration
Authorization
Request Body

Endpoint:

Parameters

ParameterTypeRequiredDescription
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Request Body

FieldTypeRequiredDescription
modelstringYes
namestringYes
logo_idstring | nullNo
taglinestring | nullNo
tool_descriptionstring | nullNo
readmestring | nullNo
publicboolean | nullNo
node_selectorNodeSelector | nullNo
concurrencyinteger | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.


Get Bounty List

List available bounties, if any.

GET/bounties/
API
Code Examples
curl -X GET "https://api.chutes.ai/bounties/"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Responses

Status CodeDescription
200Successful Response

Increase Chute Bounty

Increase bounty value (creating if not exists).

GET/bounties/{chute_id}/increase
API
Code Examples
curl -X GET "https://api.chutes.ai/bounties/{chute_id}/increase"
  -H "Content-Type: application/json"
Request Configuration
Authorization

Endpoint:

Parameters

ParameterTypeRequiredDescription
chute_idstringYes
boostnumber | nullNo
X-Chutes-Hotkeystring | nullNo
X-Chutes-Signaturestring | nullNo
X-Chutes-Noncestring | nullNo
Authorizationstring | nullNo

Responses

Status CodeDescription
200Successful Response
422Validation Error

Authentication

This endpoint requires authentication.